Subject: rtl.test failure in master

From: <[email-masked]>
Date: Sat, 29 Jun 2013 14:38:59 -0400

I'm seeing this make check error from rtl.test on master:

ERROR: rtl.test: load-constant: #\37200 - arguments: ((misc-error #f "~A" ("make-long-immediate unavailable for this target") #f))

The failing line is:
    (integer->char 16000)

Out of curiosity, I added these lines:
   #\λ
   (integer->char 955)

I chose the lambda char as it works fine within a string a few line further into the test.

Those lines produce these errors:
ERROR: rtl.test: load-constant: #\1673 - arguments: ((misc-error #f "~A" ("make-long-immediate unavailable for this target") #f))
ERROR: rtl.test: load-constant: #\1673 - arguments: ((misc-error #f "~A" ("make-long-immediate unavailable for this target") #f))

I don't how 16000 relates to #\37200 or how 955 or #\λ to #\1673 .

Could it be that this is a 32 bit machine?

$ git describe
v2.1.0-1017-g98eaef1

-Dale